Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86521 - Enhancement: eCos should have proper dynamic loading
Summary: Enhancement: eCos should have proper dynamic loading
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Other
Version: CVS
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 01:28 UTC by Jonathan Larmour
Modified: 2007-03-27 04:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:22:18 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-03-25 01:28:07 UTC
This is an enhancement requested at FOSDEM 2003. Here's an excerpt from a
relevant mail:

  * Dynamic loading. A full blown implementation is of course quite large and a
can of worms. So two possibilities were suggested - a system similar to what
vxWorks does where objects are linked but still with relocs (essentially a .o
file) and linking at the time the .o is loaded by comparing with a built-in
symbol table and filling in the relocs (and adding newly exported symbols from
the new object to the symbol table too). Presumably some sort of init function
with a unique name to that object would want to be called too.

  A second possibility (and it isn't either/or - both are possible) would be a
very simple system using function pointer tables and stubs - for those who just
want dynamically updatable code rather than more complex dynamic loading.

Comment 1 Alex Schuilenburg 2003-06-20 16:22:18 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=86521


Note You need to log in before you can comment on or make changes to this bug.